jQuery(document).ready(function($) {

    $(".elegantwp-nav-secondary .elegantwp-secondary-nav-menu").addClass("elegantwp-secondary-responsive-menu");

    $( ".elegantwp-secondary-responsive-menu-icon" ).on( "click", function() {
        $(this).next(".elegantwp-nav-secondary .elegantwp-secondary-nav-menu").slideToggle();
    });

    $(window).on( "resize", function() {
        if(window.innerWidth > 1112) {
            $(".elegantwp-nav-secondary .elegantwp-secondary-nav-menu, nav .sub-menu, nav .children").removeAttr("style");
            $(".elegantwp-secondary-responsive-menu > li").removeClass("elegantwp-secondary-menu-open");
        }
    });

    $( ".elegantwp-secondary-responsive-menu > li" ).on( "click", function(event) {
        if (event.target !== this)
        return;
        $(this).find(".sub-menu:first").toggleClass('elegantwp-submenu-toggle').parent().toggleClass("elegantwp-secondary-menu-open");
        $(this).find(".children:first").toggleClass('elegantwp-submenu-toggle').parent().toggleClass("elegantwp-secondary-menu-open");
    });

    $( "div.elegantwp-secondary-responsive-menu > ul > li" ).on( "click", function(event) {
        if (event.target !== this)
            return;
        $(this).find("ul:first").toggleClass('elegantwp-submenu-toggle').parent().toggleClass("elegantwp-secondary-menu-open");
    });

    if(elegantwp_ajax_object.sticky_menu){
    // grab the initial top offset of the navigation 
    var elegantwpstickyNavTop = $('.elegantwp-primary-menu-container').offset().top;
    
    // our function that decides weather the navigation bar should have "fixed" css position or not.
    var elegantwpstickyNav = function(){
        var elegantwpscrollTop = $(window).scrollTop(); // our current vertical position from the top
             
        // if we've scrolled more than the navigation, change its position to fixed to stick to top,
        // otherwise change it back to relative

        if(window.innerWidth > 1112) {
            if (elegantwpscrollTop > elegantwpstickyNavTop) {
                $('.elegantwp-primary-menu-container').addClass('elegantwp-fixed');
            } else {
                $('.elegantwp-primary-menu-container').removeClass('elegantwp-fixed'); 
            }
        }
    };

    elegantwpstickyNav();
    // and run it again every time you scroll
    $(window).on( "scroll", function() {
        elegantwpstickyNav();
    });
    }

    $(".elegantwp-nav-primary .elegantwp-primary-nav-menu").addClass("elegantwp-primary-responsive-menu");

    $( ".elegantwp-primary-responsive-menu-icon" ).on( "click", function() {
        $(this).next(".elegantwp-nav-primary .elegantwp-primary-nav-menu").slideToggle();
    });

    $(window).on( "resize", function() {
        if(window.innerWidth > 1112) {
            $(".elegantwp-nav-primary .elegantwp-primary-nav-menu, nav .sub-menu, nav .children").removeAttr("style");
            $(".elegantwp-primary-responsive-menu > li").removeClass("elegantwp-primary-menu-open");
        }
    });

    $( ".elegantwp-primary-responsive-menu > li" ).on( "click", function(event) {
        if (event.target !== this)
        return;
        $(this).find(".sub-menu:first").toggleClass('elegantwp-submenu-toggle').parent().toggleClass("elegantwp-primary-menu-open");
        $(this).find(".children:first").toggleClass('elegantwp-submenu-toggle').parent().toggleClass("elegantwp-primary-menu-open");
    });

    $( "div.elegantwp-primary-responsive-menu > ul > li" ).on( "click", function(event) {
        if (event.target !== this)
            return;
        $(this).find("ul:first").toggleClass('elegantwp-submenu-toggle').parent().toggleClass("elegantwp-primary-menu-open");
    });

    $(".elegantwp-social-search-icon").on('click', function (e) {
        e.preventDefault();
        $('.elegantwp-social-search-box').slideToggle(400);
    });

    $(".post").fitVids();

    var scrollButtonEl = $( '.elegantwp-scroll-top' );
    scrollButtonEl.hide();

    $(window).on( "scroll", function() {
        if ( $( window ).scrollTop() < 20 ) {
            $( '.elegantwp-scroll-top' ).fadeOut();
        } else {
            $( '.elegantwp-scroll-top' ).fadeIn();
        }
    } );

    scrollButtonEl.on( "click", function() {
        $( "html, body" ).animate( { scrollTop: 0 }, 300 );
        return false;
    } );

    if(elegantwp_ajax_object.sticky_sidebar){
    $('.elegantwp-main-wrapper, .elegantwp-sidebar-one-wrapper, .elegantwp-sidebar-two-wrapper').theiaStickySidebar({
        containerSelector: ".elegantwp-content-wrapper",
        additionalMarginTop: 0,
        additionalMarginBottom: 0,
        minWidth: 890,
    });

    $(window).on( "resize", function() {
        $('.elegantwp-main-wrapper, .elegantwp-sidebar-one-wrapper, .elegantwp-sidebar-two-wrapper').theiaStickySidebar({
            containerSelector: ".elegantwp-content-wrapper",
            additionalMarginTop: 0,
            additionalMarginBottom: 0,
            minWidth: 890,
        });
    });
    }

});